package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.PageRepository;
import com.realnet.vpspack.Entity.Page
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class PageService {
@Autowired
private PageRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Page Savedata(Page data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Page save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Page> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Page> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Page> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Page getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Page update(Page data,Integer id) {
	Page old = Repository.findById(id).get();
old.setAll_pages_link(data.getAll_pages_link());

final Page test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
